org.springframework.web.socket.adapter.jetty

## Class WebSocketToJettyExtensionConfigAdapter

- java.lang.Object
- - org.eclipse.jetty.websocket.api.extensions.ExtensionConfig
  - - org.springframework.web.socket.adapter.jetty.WebSocketToJettyExtensionConfigAdapter

    public class WebSocketToJettyExtensionConfigAdapter
    extends org.eclipse.jetty.websocket.api.extensions.ExtensionConfig

Adapter class to convert a `WebSocketExtension` to a Jetty `ExtensionConfig`.

Since:
  4.0
Author:
  Rossen Stoyanchev

### Constructor Summary

Constructors
Constructor and Description
`WebSocketToJettyExtensionConfigAdapter(WebSocketExtension extension)`

### Method Summary

### Methods inherited from class org.eclipse.jetty.websocket.api.extensions.ExtensionConfig

`getName, getParameter, getParameter, getParameterizedName, getParameterKeys, getParameters, init, parse, parseEnum, parseList, setParameter, setParameter, setParameter, toHeaderValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WebSocketToJettyExtensionConfigAdapter

    public WebSocketToJettyExtensionConfigAdapter(WebSocketExtension extension)